io.stdout:setvbuf('no')

Class = require("middleclass")
require("PhysRenderer")

sx,sy=love.graphics.getDimensions()

function love.load()
  love.physics.setMeter(64) --the height of a meter our worlds will be 64px
  world = love.physics.newWorld(0, 9.81*64, true) --create a world for the bodies to exist in with horizontal gravity of 0 and vertical gravity of 9.81
  renderer = PhysRenderer(world)


  local floor = love.physics.newBody(world, sx / 2, sy/2, "static")
  local shape = love.physics.newRectangleShape(0,0, 300, 50)
  local fix = love.physics.newFixture(floor, shape, 1)
end


function love.update(dt)
  world:update(dt)
end

function love.draw()
  renderer:draw()
end

function AddPlayer()  
  local height = 64
  local width = 32

  local player = love.physics.newBody(world, sx/2, sy/2 + (-height/2), "dynamic")
  local shape = love.physics.newRectangleShape(0, 0, width, height)
  local fix = love.physics.newFixture(player, shape, 1) 

  local shape = love.physics.newRectangleShape(0, -height, width/2, height/4)
  local fix = love.physics.newFixture(player, shape, 1) 
  
  local shape = love.physics.newCircleShape(0, -height/2, width/2)
  local fix = love.physics.newFixture(player, shape, 1) 
  
end

function love.keypressed(key)
  if key == "escape" then love.event.quit() end
  if key == "space" then AddPlayer() end
end